lto-disabled-list (79) resolute; urgency=medium

  * Add cntlm to avoid FTBFS (LP: #2146703)

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 29 Mar 2026 14:12:45 +0000

lto-disabled-list (78) resolute; urgency=medium

  * Remove wireshark: no longer needed (See Debian bug: 1015706)

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 28 Feb 2026 10:29:40 +0100

lto-disabled-list (77) resolute; urgency=medium

  *  Add openorienteering-mapper to avoid FTBFS
     (LP: #2141681)

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 12 Feb 2026 15:52:33 +0000

lto-disabled-list (76) resolute; urgency=medium

  * Add libappimage to minimise symbols delta to Debian.

 -- Rik Mills <rikmills@kde.org>  Tue, 20 Jan 2026 16:34:39 +0000

lto-disabled-list (75) resolute; urgency=medium

  * Add pcsx2 to avoid FTBFS (LP: #2138577)

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 18 Jan 2026 13:46:45 +0000

lto-disabled-list (74) resolute; urgency=medium

  * Add kirigami-addons and kquickimageeditor to make syncable from
    Debian on symbols.

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Jan 2026 15:06:26 +0000

lto-disabled-list (73) resolute; urgency=medium

  * Add alicevision. (LP: #2137137)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 26 Dec 2025 13:22:08 +0000

lto-disabled-list (72) resolute; urgency=medium

  * Add signond to make syncable from Debian.

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 06:52:49 +0000

lto-disabled-list (71) resolute; urgency=medium

  * Add libquotient.

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 15:48:46 +0100

lto-disabled-list (70) resolute; urgency=medium

  * Add ktextaddons to make syncable from Debian.

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 13:57:38 +0100

lto-disabled-list (69) questing; urgency=medium

  * Add kdiagram2 alongside existing kdiagram, to allow it to also
    be syncable from Debian.

 -- Rik Mills <rikmills@kde.org>  Sat, 06 Sep 2025 12:42:14 +0100

lto-disabled-list (68) questing; urgency=medium

  * Add qt6-graphs to the list of qt6-* packages to make this also
    syncable from Debian.

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Aug 2025 06:29:26 +0100

lto-disabled-list (67) questing; urgency=medium

  * Change mp4h to arch any (LP: #2103936)

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 25 Aug 2025 19:45:38 +0000

lto-disabled-list (66) questing; urgency=medium

  * Add plink2 (LP: #2119580)

 -- Lukas Märdian <slyon@ubuntu.com>  Thu, 14 Aug 2025 09:45:55 +0200

lto-disabled-list (65) questing; urgency=medium

  * Change libbpp-phyl to arch any (LP: #2119616)

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 11 Aug 2025 14:57:48 +0530

lto-disabled-list (64) questing; urgency=medium

  * Enable back again mosquitto, 2.0.22 should build with lto

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 11 Aug 2025 18:16:58 +0200

lto-disabled-list (63) questing; urgency=medium

  * Remove node-webfont/amd64, the disable doesn't work
    for lto enabled in debian/patches. Fixing webfont instead

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 22 Jul 2025 15:14:26 +0200

lto-disabled-list (62) questing; urgency=medium

  * Add nvidia-cuda-toolkit/ppc64el. 12.4.1 in Questing proposed FTBFS
    with LTO enabled. (LP: #2117486)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jul 2025 07:47:32 +0000

lto-disabled-list (61) questing; urgency=medium

  * Add kseexpr to allow syncing from Debian with their symbols files.
    (LP: #2115900)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 15:04:49 +0100

lto-disabled-list (60) questing; urgency=medium

  * Add node-webfont/amd64, FTBFS directly mentions LTO (LP: #2115373)

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Mon, 30 Jun 2025 09:33:33 -0700

lto-disabled-list (59) questing; urgency=medium

  * Change wsclean to arch any (LP: #2115559)

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 28 Jun 2025 15:00:05 +0000

lto-disabled-list (58) questing; urgency=medium

  * Add fltk1.4 to list, same as other fltk* packages

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 06 May 2025 10:01:00 +0200

lto-disabled-list (57) plucky; urgency=medium

  * Add splash/any, the FTBFS explicitly calls out LTO as the cause.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 03 Mar 2025 17:43:08 -0600

lto-disabled-list (56) plucky; urgency=medium

  * Convert to simple dh 13 rules
  * Remove libva: no longer needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 19 Feb 2025 09:19:31 -0500

lto-disabled-list (55) plucky; urgency=medium

  * Add android-platform-tools, like for other android-* packages.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 Feb 2025 11:59:52 +0100

lto-disabled-list (54) plucky; urgency=medium

  * Add pmix to avoid FTBFS (LP: #2089479)
  * Add openmpi to avoid FTBFS (LP: #2089481)

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 24 Nov 2024 15:05:26 +0000

lto-disabled-list (53) oracular; urgency=medium

  * Also add ocaml to LTO disabled lists (See Debian bug: 1015560)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 08:15:46 +0200

lto-disabled-list (52) oracular; urgency=medium

  * Also disable openrct2 everywhere

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Jul 2024 13:05:40 +0200

lto-disabled-list (51) oracular; urgency=medium

  * Also disable postgis on ppc64el, ftbfs with LTO enabled

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 01 Jul 2024 08:27:34 +0200

lto-disabled-list (50) oracular; urgency=medium

  * Add paraview on ppc64el, FTBFS with lto enabled

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 30 Jun 2024 06:59:23 +0200

lto-disabled-list (49) oracular; urgency=medium

  * Change python-gssapi to arch any (LP: #2044242)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 18 Jun 2024 16:45:25 +0000

lto-disabled-list (48) oracular; urgency=medium

  * Change cbmc to arch any (LP: #2036745)

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 03 May 2024 11:59:46 +0000

lto-disabled-list (47) noble; urgency=medium

  * Add gcl27 (gcl already in the list).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 Feb 2024 03:55:56 +0100

lto-disabled-list (46) noble; urgency=medium

  * Add netgen to avoid FTBFS (LP: #2050085)

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 22 Jan 2024 12:12:48 +0000

lto-disabled-list (45) noble; urgency=medium

  * Add e-antic to avoid FTBFS (LP: #2048377)

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 05 Jan 2024 14:26:22 +0000

lto-disabled-list (44) noble; urgency=medium

  * Add gcc-xtensa and gcc-xtensa-lx106 to lto-disabled-list

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 16 Nov 2023 19:24:13 +0100

lto-disabled-list (43) mantic; urgency=medium

  * Disable lto for magma, FTBFS when cuda-g++ has compiler
    version different w.r.t. gfortran

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 14 Sep 2023 15:36:58 +0200

lto-disabled-list (42) mantic; urgency=medium

  * Add scilab to avoid FTBFS (LP: #2030966)

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 10 Aug 2023 14:37:31 +0000

lto-disabled-list (41) mantic; urgency=medium

  * Drop cmake from lto archs, main packages can't go in this list.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 13 May 2023 11:00:16 +0200

lto-disabled-list (40) devel; urgency=medium

  * Add clasp on s390x to avoid FTBFS (LP: #2017091)
  * Add eztrace to avoid FTBFS (LP: #2016471)

 -- Lukas Märdian <slyon@ubuntu.com>  Thu, 20 Apr 2023 09:23:56 +0200

lto-disabled-list (39) lunar; urgency=medium

  * Add libretro-bsnes-mercury to avoid FTBFS (LP: #2015742)

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 10 Apr 2023 11:53:46 +0000

lto-disabled-list (38) lunar; urgency=medium

  * Add libpillowfight on amd64 to avoid autopkgtest failure (LP: #2007000)
  * Add gensio to avoid FTBFS due to missing symbols (LP: #1991617)

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 11 Feb 2023 17:05:01 +0000

lto-disabled-list (37) lunar; urgency=medium

  * Add sundials to avoid FTBFS (LP: #2000823)

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 31 Dec 2022 20:00:11 +0000

lto-disabled-list (36) lunar; urgency=medium

  * Add cyrus-imapd to ppc64el list, making testsuite fail during build

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 09 Nov 2022 12:58:14 +0100

lto-disabled-list (35) kinetic; urgency=medium

  * Add gst-omx to avoid autopkgtest failures (LP: #1988985)
  * Add sptag to avoid FTBFS (LP: #1988992)

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 07 Sep 2022 12:59:45 +0000

lto-disabled-list (34) kinetic; urgency=medium

  * Add git-repair to ppc64el list linker gold fails to link it.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 02 Sep 2022 09:37:10 +0200

lto-disabled-list (33) kinetic; urgency=medium

  * Remove iwd from the list since it's moving to main now

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 24 Aug 2022 09:43:29 +0200

lto-disabled-list (32) kinetic; urgency=medium

  * Add cmake to lto archs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 01 Aug 2022 20:33:26 +0200

lto-disabled-list (31) kinetic; urgency=medium

  * Remove marisa, it *is* in main and 0.2.6-11 builds with LTO.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sat, 23 Jul 2022 22:07:54 +0200

lto-disabled-list (30) kinetic; urgency=medium

  * Remove trio from list, fixed in 1.16+dfsg1-4

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 21 Jul 2022 14:35:19 +0200

lto-disabled-list (29) kinetic; urgency=medium

  * Add flint-arb to avoid FTBFS (LP: #1981917)

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 17 Jul 2022 09:37:33 +0000

lto-disabled-list (28) kinetic; urgency=medium

  * Add googletest to ppc64el lto disabled list, it fails in autopkgtests.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Jun 2022 09:35:23 +0200

lto-disabled-list (27) kinetic; urgency=medium

  * Add plink1.9 (LP: #1979247)

 -- Paride Legovini <paride@ubuntu.com>  Mon, 20 Jun 2022 18:43:13 +0200

lto-disabled-list (26) kinetic; urgency=medium

  * Remove libldac s390x, the build issue isn't due to lto

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 01 Jun 2022 15:37:01 +0200

lto-disabled-list (25) kinetic; urgency=medium

  * Add xl2tpd (LP: #1951832).

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 28 Apr 2022 11:30:54 +0000

lto-disabled-list (24) jammy; urgency=medium

  * Add python-igraph on ppc64el and s390x (LP: #1968061)

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 06 Apr 2022 16:08:46 +0000

lto-disabled-list (23) jammy; urgency=medium

  * Add imgui to list as linking the static library produced with LTO enabled
    into open3d crashes. (LP: #1963556)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 08 Mar 2022 16:44:21 +1300

lto-disabled-list (22) jammy; urgency=medium

  * Add wireshark @ arm64 s390x (LP: #1961901)

 -- Miriam España Acebal <miriam.espana@canonical.com>  Thu, 24 Feb 2022 13:11:15 +0100

lto-disabled-list (21) jammy; urgency=medium

  [ Rik Mills ]
  * Ignore qt6-* packages showing symbols mismatches when built with lto
    (LP: #1961324)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 17 Feb 2022 20:42:19 +0100

lto-disabled-list (20) jammy; urgency=medium

  * Add qt6-base, mbedtls.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Feb 2022 18:14:35 +0100

lto-disabled-list (19) jammy; urgency=medium

  * Remove frr, it builds fine with lto (LP: #1959838)

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 02 Feb 2022 17:50:53 +0000

lto-disabled-list (18) jammy; urgency=medium

  * Add the following packages:
    - bart         (LP: #1956945)
    - bart-cuda    (LP: #1956947)
    - gcc-or1k-elf (LP: #1956948)
    - iwd          (LP: #1956950)
    - libkcapi     (LP: #1956951)
    - librandomx   (LP: #1956952)
    - libspectrum  (LP: #1956953)
    - rhonabwy     (LP: #1956955)

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 10 Jan 2022 12:39:10 +0000

lto-disabled-list (17) jammy; urgency=medium

  * add gpsd @ arm64 (LP: #1953040)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 02 Dec 2021 15:15:10 +0100

lto-disabled-list (16) impish; urgency=medium

  * Remove libvpx.  The package is in main, and for that reason the fix
    should be done in the package itself.  (LP #1939640)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Fri, 13 Aug 2021 10:48:24 -0400

lto-disabled-list (15) impish; urgency=medium

  * Add libvpx. (LP: #1939640)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Thu, 12 Aug 2021 10:39:16 -0400

lto-disabled-list (14) impish; urgency=medium

  * Add libsass due to dropped symbols (LP: #1936964)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 20 Jul 2021 17:15:54 +0000

lto-disabled-list (13) impish; urgency=medium

  * Drop grub2. LP: #1922005

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Fri, 16 Jul 2021 12:22:40 +0100

lto-disabled-list (12) impish; urgency=medium

  * Add mkvtoolnix. (LP: #1935763)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Sun, 11 Jul 2021 01:54:05 -0400

lto-disabled-list (11) impish; urgency=medium

  * Change golang-github-mattn-go-sqlite3 to arch any (LP: #1931881)

 -- Dave Jones <dave.jones@canonical.com>  Mon, 14 Jun 2021 16:31:25 +0100

lto-disabled-list (10) impish; urgency=medium

  * Add arch any to golang-github-containers-{common,image} (LP: #1931258).

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 08 Jun 2021 15:56:58 -0300

lto-disabled-list (9) impish; urgency=medium

  * Remove gnutls27, worked around in gnutls28. See LP #1922004.
  * Add crowdsec (go package).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 27 May 2021 13:23:48 +0200

lto-disabled-list (8) impish; urgency=medium

  * Remove telegraf. (LP: #1927789)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Sat, 08 May 2021 22:58:53 -0400

lto-disabled-list (7) hirsute; urgency=medium

  * Add abinit, adacontrol, apophenia, autofdo, cantor, clisp,
    crypto-equality-clojure, ddd, direwolf, dpf-plugins, draco, dtkcore,
    fastdds, ffe, fricas, go-dlib, golang-github-datadog-zstd,
    golang-github-optiopay-kafka, golang-gopkg-libgit2-git2go.v31, kcalcore,
    lambda-align2, libaccounts-qt, libgtkada, libkqueue, libqtxdg, libvma,
    marisa, massivethreads, mixxx, mono, ncbi-entrez-direct, olm, opencv,
    php-finder-facade, pikepdf, prelude-lml, prelude-manager, pysph, remake,
    robot-testing-framework, sgt-puzzles, sugar-toolkit-gtk3, tarantool,
    tclcurl, telegram-desktop, terminews, unar.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 10 Apr 2021 13:48:50 +0200

lto-disabled-list (6) hirsute; urgency=medium

  * Add adwaita-qt, android-platform-art, android-platform-build,
    android-platform-frameworks-base, android-platform-libnativehelper,
    android-platform-system-core, android-platform-system-tools-aidl,
    android-platform-system-tools-hidl, android-platform-tools-base,
    dnsdist, dragonfly-reverb, flatpack, indigo, rdkit, rheolef, surgescript.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 07 Apr 2021 08:33:51 +0200

lto-disabled-list (5) hirsute; urgency=medium

  * Also add grub2-unsigned.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 31 Mar 2021 13:01:45 +0200

lto-disabled-list (4) hirsute; urgency=medium

  * Add grub2, grub2-signed. See LP #1922005.
  * Add gnutls28 (OOM during build). See LP #1922004.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 31 Mar 2021 09:06:11 +0200

lto-disabled-list (2) hirsute; urgency=medium

  * Seed the list with all packages in universe/multiverse which
    regressed building with LTO enabled.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Mar 2021 15:21:02 +0100

lto-disabled-list (1) hirsute; urgency=medium

  * Rename to lto-disabled-list.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Jan 2021 15:37:58 +0100

lto-blacklist (1) focal; urgency=medium

  * Initial release.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 19:25:06 +0200
